Package org.eclipse.lemminx.extensions.references.search

## Class SearchEngine

- java.lang.Object
- - org.eclipse.lemminx.extensions.references.search.SearchEngine

    public class SearchEngine
    extends Object

XML references search engine to collect attribute , text which matches XML references expression `XMLReferenceExpression`.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`SearchEngine()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SearchEngine` `getInstance()`
`void` `search​(SearchQuery query, IXMLReferenceCollector collector, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Perform the XML references search by using the given search query.
`Collection<ReferenceLink>` `searchLinks​(DOMDocument document, XMLReferencesSettings settings, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SearchEngine

    public SearchEngine()

### Method Detail

#### getInstance

    public static SearchEngine getInstance()

#### search

    public final void search​(SearchQuery query,
                             IXMLReferenceCollector collector,
                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Perform the XML references search by using the given search query.

Parameters:
  `query` - the search query.
  `collector` - the collector used to collect attribute, text nodes.
  `cancelChecker` - the cancel checker.

#### searchLinks

    public Collection<ReferenceLink> searchLinks​(DOMDocument document,
                                                 XMLReferencesSettings settings,
                                                 org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)